/*!\file:  ConstraintsStatex.h
 * \brief header file for penalty constraints module
 */ 

#ifndef _CONSTRAINTSSTATEX_H
#define _CONSTRAINTSSTATEX_H

#include "../../Container/Container.h"
#include "../../classes/objects/objects.h"

/* local prototypes: */
int   ThermalIsPresent(Loads* loads,int analysis_type);
int    RiftIsPresent(Loads* loads,int analysis_type);
void ConstraintsStatex(int* pconverged, int* pnum_unstable_constraints, Elements* elements,Nodes* nodes, Vertices* vertices, Loads* loads,Materials* materials,  Parameters* parameters); 

#endif  /* _CONSTRAINTSSTATEX_H */
